python3-gribapi_1.28.0-2_amd64.deb


Advertisement

Description

python3-gribapi - Python3 module for the ECMWF GRIB API library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename python3-gribapi_1.28.0-2_amd64.deb
Package name python3-gribapi
Package version 1.28.0
Package release 2
Package architecture amd64
Package type deb
Category python
Homepage https://software.ecmwf.int/wiki/display/GRIB/Home
License -
Maintainer Alastair McKinstry <mckinstry@debian.org>
Download size 66.05 KB
Installed size 287.00 KB
The ECMWF GRIB API is an application program interface accessible from C and
FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
and edition 2 messages.
This is a Python3 wrapper for the GRIB API library.
ECMWF is the European Centre for Medium-Range Weather Forecasts.

Alternatives

Package Version Architecture Repository
python3-gribapi_1.28.0-2_i386.deb 1.28.0 i386 Debian Main
python3-gribapi - - -

Requires

Name Value
libc6 >= 2.28
libgomp1 >= 4.4
libgrib-api0 >= 1.14.3
libpython3.7 >= 3.7.0
python3 >= 3.7~
python3 << 3.8
python3-numpy >= 1:1.16.0~rc1
python3-numpy-abi9 -
python3-six -
python3:any -

Provides

Name Value
python3.7-gribapi -

Conflicts

Name Value
python3-eccodes -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-gribapi_1.28.0-2_amd64.deb
Source Package grib-api

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-gribapi deb package:
    # sudo apt-get install python3-gribapi

Files

Path
/usr/lib/python3/dist-packages/gribapi/__init__.py
/usr/lib/python3/dist-packages/gribapi/_gribapi_swig.cpython-37m-x86_64-linux-gnu.so
/usr/lib/python3/dist-packages/gribapi/gribapi.py
/usr/lib/python3/dist-packages/gribapi/gribapi_swig.py
/usr/share/doc/python3-gribapi/changelog.Debian.gz
/usr/share/doc/python3-gribapi/changelog.gz
/usr/share/doc/python3-gribapi/copyright

Changelog

2019-01-07 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.28.0-2) unstable; urgency=medium
* Standards-Version: 4.3.0
* Build with dh-fortran-mod (>= 0.11) to clean up on pkg removal.
Closes: #918517
2018-12-20 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.28.0-1) unstable; urgency=medium
* New upstream release
* Standards-Version: 4.2.1
* Use dh-fortran-mod >=0.7, with ${Fortran-Mod} to track version
* Use gfortran, not gfortran-8, now default
* Drop hard-coded xz compression
2018-06-27 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.27.0-1) unstable; urgency=medium
* New upstream release
* Delete obsolete X-python-version statement
2018-06-10 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.26.1-3) unstable; urgency=medium
* Fix FTBFS with dpkg-buildpackage -A. Closes: #901107
2018-05-06 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.26.1-2) unstable; urgency=medium
* Force use of gfortran-8 for transition (needed to build mod files)
* Use dh-fortran-mod to track fortran version
2018-04-21 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.26.1-1) unstable; urgency=medium
* New upstream release
* Standards-Version: 4.1.4
* python-gribapi: depends on python-six. Closes: #896277
* python3-gribapi: depends on python3-six. Closes: #896338
2018-03-03 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.26.0-1) unstable; urgency=medium
* New upstream release
* Point VCS to salsa.debian.org
2018-01-03 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.25.0-1) unstable; urgency=medium
* New upstream release
* Standards-Version: 4.1.2; no changes required
2017-11-28 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.24.0-3) unstable; urgency=medium
* Make grib-api-tools depend on libeccodes-data. Files needed.
Closes: #882995
* Mark libgrib-api-doc as M-A: foreign
2017-10-12 - Alastair McKinstry <mckinstry@debian.org>
grib-api (1.24.0-2) unstable; urgency=medium
* Remove build path from cmake, grib-api_ecbuild-config.h files for
bit-reproducibility
* Drop B-D on curl

See Also

Package Description
python3-gridfs_3.7.1-1.1_all.deb Python3 implementation of GridFS for MongoDB
python3-grpc-tools_1.14.1-1_amd64.deb Protobuf code generator for gRPC (Python 3)
python3-grpcio_1.16.1-1_amd64.deb GRPC system (Python 3)
python3-gssapi_1.4.1-1+b1_amd64.deb Python 3 interface to GSSAPI
python3-gst-1.0_1.14.4-1+b1_amd64.deb GStreamer GObject Introspection overrides for Python (Python 3)
python3-gsw_3.3.0-1_amd64.deb Python 3 implementation of the Thermodynamic Equation of Seawater
python3-gtkspellcheck_4.0.5-1_all.deb Python 3 spellchecking library for GTK+ based on Enchant
python3-gtts-token_1.1.1-1_all.deb Calculates a token to run the Google Translate text to speech (Python 3)
python3-gtts_1.2.0-1_all.deb Wrapper and CLI utility for the Google TTS (Text-to-Speech) API (Python 3)
python3-gudhi_2.3.0+dfsg-2+b1_amd64.deb Python 3 interface to the GUDHI library
python3-guess-language_0.5.2-5_all.deb library to detect the natural language of a text (Python 3 version)
python3-guestfs_1.40.2-2_amd64.deb guest disk image management system - Python 3 bindings
python3-guidata_1.7.6-1_all.deb dataset manipulation GUI generator - Python 3
python3-guiqwt_3.0.3-3_amd64.deb efficient 2D data-plotting library - Python 3
python3-guizero-doc_0.6.0+dfsg1-1_all.deb module to allow quick and easy GUI creation (documentation)
Advertisement
Advertisement